#include <stdlib.h>
#include <stdio.h>
#include <math.h>

int main()
{
    int p, q, r;
    int64_t intL, intR;
    float k1, k2, k3;
    int64_t kombinacije;

    scanf( "%d %d %d %lld %lld", &p, &q, &r, &intL, &intR );

    kombinacije = intR - intL + 1;

    for( int64_t i = intR; i >= intL; i-- )
    {
        k1 = (float)i / p;
        k2 = (float)i / q;
        k3 = (float)i / r;

        int64_t x = (int64_t)(ceil(k1) + ceil(k2) + ceil(k3));

        if ( x > i )
            kombinacije--;
    }

    printf("%lld", kombinacije);

    return 0;
}